Subject: Re: [bug#31285] [PATCH 1/1] guix: Add git-fetch/impure.

From: zimoun <[email-masked]>
Date: Tue, 01 Dec 2020 19:06:38 +0100

Hi,

The bug #31285 is mainly about allow Git over SSH, see:

   <http://issues.guix.gnu.org/issue/31285>

and I do not know where the discussion below happened…

On Sun, 29 Apr 2018 at 19:49, Chris Marusich <[email-masked]> wrote:
> Hi Mark, Ludo, and David,
>
> [email-masked] (Ludovic Courtès) writes:
>
>> Hello,
>>
>> Chris Marusich <[email-masked]> skribis:
>>
>>> You've both said that you would prefer not to add git-fetch/impure to
>>> Guix.  Can you help me to understand why you feel that way?  I really
>>> think it would be nice if Guix could fetch Git repositories over SSH
>>> using public key authentication, so I'm hoping that we can talk about it
>>> and figure out an acceptable way to implement it.
>>
>> One argument against it would be that it encourages people (or at least
>> makes it very easy) to write origins that depend on external state, and
>> thus may be non-reproducible by others, and that Guix itself should
>> provide tools for writing reproducible build definitions.
>
> The impurity bothers me, too.  If you don't have the right SSH key
> available or your SSH installation isn't configured in just the right
> way, then an origin defined using git-fetch/impure won't work.
>
> Could we eliminate the impurity by adding a feature to the guix-daemon
> that allows an administrator (i.e., root) to configure an SSH key for
> guix-daemon to use when fetching Git repositories over SSH?  If it's
> possible, I think that would be preferable.  What do you think of that
> idea?
>
> Also, here's a new version of the patch, which fixes/improves some
> random things I noticed.

…and the question is: is it still relevant?  I am not sure to get if the
use-case of the initial motivation is not covered by the current
’git-fetch’.  If not, what is the status of this patch: rejected with
which reason or merged?

Thanks,
simon